//------------------------------------------------------//
// Hyperterminal configuration                          //
// 9600 bauds, 8-bit data, no parity                    //
//------------------------------------------------------//
// Assignatura: Sistemes Encastats                      //
// Pràctica: 1                                          //
// Tutor: Ramon Reig Bolaño                             //
// Alumnes:Jordi Duocastella, Albert Muñoz i David Yabar//
//------------------------------------------------------//

/* Aquest programari consisteix en que l'usuari obtingui els caracters que formen la paraula "HOLA" fent girar
el potenciometre i pulsant el boto 1 (USER_BUTTON)
En funcio del voltatge que entri per l'entrada analogica A1 se selecciona un caracter. Quan el pulsador 1 es
pulsat s'introdueix el caracter que queda enmagatzemat en una taula. Quan s'obtenen les quatre lletres es mostra
un missatge per pantalla i el buzzer pita.*/


#include "mbed.h"

DigitalOut led2(LED2);
DigitalOut led3(LED3);
DigitalOut buzzer(A1);
DigitalIn  pol1(USER_BUTTON);
AnalogIn analog_value(A0);
 
 
Serial pc(SERIAL_TX, SERIAL_RX);
 
DigitalOut myled(LED1);
 
int main() {
  
    float valor;
    pullup = true;
  
    led2 = 0;
    valor = 0;
  
    pc.printf("\n\n\nGira el potenciometre i prem el boto blau per rebre un valor\n\n\r");
    
    while(1){
          
        while(pol1==1){;}

        while(pol1==0){
            valor = analog_value.read(); // llegeix el valor de la entrada analogica A0
            valor = valor*5;
            pc.printf("%1.2f V \r\n", valor);
            
            buzzer = 1;
            led2 = 1;
            wait(0.1);
            buzzer = 0;
            led2 = 0;

            while(pol1==0){;}
        
    }            
        
        
}
}  